Update Setup
curl --request PATCH \
--url https://app.aseed.ai/custdev/insight/{rec_id}/setup/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"goals": "<string>",
"notes": "<string>",
"guide": "<string>",
"custom_prompt": "<string>",
"participant_count": 8,
"respondent_known_names": [
"<string>"
],
"language": "<string>",
"report_language": "<string>"
}
'import requests
url = "https://app.aseed.ai/custdev/insight/{rec_id}/setup/"
payload = {
"goals": "<string>",
"notes": "<string>",
"guide": "<string>",
"custom_prompt": "<string>",
"participant_count": 8,
"respondent_known_names": ["<string>"],
"language": "<string>",
"report_language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
goals: '<string>',
notes: '<string>',
guide: '<string>',
custom_prompt: '<string>',
participant_count: 8,
respondent_known_names: ['<string>'],
language: '<string>',
report_language: '<string>'
})
};
fetch('https://app.aseed.ai/custdev/insight/{rec_id}/setup/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}insight
Update Setup
Update setup configuration for a record without generating reports.
Updates only the fields provided in the request. Updates the latest setup version. Does not trigger report generation or change record status.
Parameters:
- rec_id: Record UUID
- request: UpdateSetupRequest with fields to update (all optional)
Returns:
- 204 No Content on success
PATCH
/
insight
/
{rec_id}
/
setup
/
Update Setup
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request model for updating setup configuration without generating reports.
Research goals
Maximum string length:
10000Additional notes
Maximum string length:
20000Interview guide
Maximum string length:
20000Custom prompt for Custom report generation
Maximum string length:
15000Number of participants from 1 to 15
Required range:
1 <= x <= 15List of respondent names
Language for transcription
Language for reports
Response
Successful Response
Was this page helpful?
⌘I